package org.bench4q.share.exception;

import org.apache.log4j.Logger;

public class Bench4QRunTimeException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2471911275064112250L;
	private static Logger logger = Logger
			.getLogger(Bench4QRunTimeException.class);

	public Bench4QRunTimeException() {
		super();
	}

	public Bench4QRunTimeException(String message) {
		super(message);
		logger.error(message);
	}

	public Bench4QRunTimeException(String message, Throwable e) {
		super(message, e);
		logger.error(message, e);
	}

}
